"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.unstable_settings = exports.ErrorBoundary = void 0;
// Import  global CSS file
require("../../global.css");
var bottom_sheet_1 = require("@gorhom/bottom-sheet");
var expo_router_1 = require("expo-router");
var SplashScreen = __importStar(require("expo-splash-screen"));
var react_1 = __importStar(require("react"));
var react_native_1 = require("react-native");
var react_native_flash_message_1 = __importDefault(require("react-native-flash-message"));
var react_native_gesture_handler_1 = require("react-native-gesture-handler");
var react_native_keyboard_controller_1 = require("react-native-keyboard-controller");
var Font = __importStar(require("expo-font"));
var api_1 = require("@/api");
var lib_1 = require("@/lib");
// import { useThemeConfig } from '@/lib/use-theme-config';
var react_native_paper_1 = require("react-native-paper");
var expo_router_2 = require("expo-router");
Object.defineProperty(exports, "ErrorBoundary", { enumerable: true, get: function () { return expo_router_2.ErrorBoundary; } });
exports.unstable_settings = {
    initialRouteName: '(app)',
};
(0, lib_1.hydrateAuth)();
(0, lib_1.loadSelectedTheme)();
function RootLayout() {
    var _this = this;
    var _a = (0, react_1.useState)(false), fontsLoaded = _a[0], setFontsLoaded = _a[1];
    var loadFonts = function () { return __awaiter(_this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, Font.loadAsync({
                        pretendard100: require('../../assets/fonts/Pretendard-Thin.otf'),
                        pretendard200: require('../../assets/fonts/Pretendard-ExtraLight.otf'),
                        pretendard300: require('../../assets/fonts/Pretendard-Light.otf'),
                        pretendard400: require('../../assets/fonts/Pretendard-Regular.otf'),
                        pretendard500: require('../../assets/fonts/Pretendard-Medium.otf'),
                        pretendard600: require('../../assets/fonts/Pretendard-SemiBold.otf'),
                        pretendard700: require('../../assets/fonts/Pretendard-Bold.otf'),
                        pretendard800: require('../../assets/fonts/Pretendard-ExtraBold.otf'),
                        pretendard900: require('../../assets/fonts/Pretendard-Black.otf'),
                        Inter: require('../../assets/fonts/Inter.ttf'),
                    })];
                case 1:
                    _a.sent();
                    setFontsLoaded(true);
                    return [2 /*return*/];
            }
        });
    }); };
    (0, react_1.useEffect)(function () {
        var prepare = function () { return __awaiter(_this, void 0, void 0, function () {
            var e_1;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        _a.trys.push([0, 3, 4, 5]);
                        return [4 /*yield*/, SplashScreen.preventAutoHideAsync()];
                    case 1:
                        _a.sent();
                        return [4 /*yield*/, loadFonts()];
                    case 2:
                        _a.sent();
                        return [3 /*break*/, 5];
                    case 3:
                        e_1 = _a.sent();
                        console.warn(e_1);
                        return [3 /*break*/, 5];
                    case 4:
                        console.log('prepare =====');
                        setFontsLoaded(true);
                        return [7 /*endfinally*/];
                    case 5: return [2 /*return*/];
                }
            });
        }); };
        prepare();
    }, []);
    var onLayoutRootView = (0, react_1.useCallback)(function () { return __awaiter(_this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    if (!fontsLoaded) return [3 /*break*/, 2];
                    return [4 /*yield*/, SplashScreen.hideAsync()];
                case 1:
                    _a.sent();
                    _a.label = 2;
                case 2: return [2 /*return*/];
            }
        });
    }); }, [fontsLoaded]);
    if (!fontsLoaded) {
        return null; // 스플래시 화면이 유지됩니다.
    }
    return (<Providers>
      <react_native_gesture_handler_1.GestureHandlerRootView style={styles.container} onLayout={onLayoutRootView}>
        <expo_router_1.Stack>
          <expo_router_1.Stack.Screen name="(app)" options={{ headerShown: false }}/>
          <expo_router_1.Stack.Screen name="onboarding" options={{ headerShown: false }}/>
          <expo_router_1.Stack.Screen name="login" options={{ headerShown: false }}/>
        </expo_router_1.Stack>
      </react_native_gesture_handler_1.GestureHandlerRootView>
    </Providers>);
}
exports.default = RootLayout;
function Providers(_a) {
    var children = _a.children;
    // const theme = useThemeConfig();
    return (<react_native_gesture_handler_1.GestureHandlerRootView style={styles.container}>
      <react_native_keyboard_controller_1.KeyboardProvider>
        <api_1.APIProvider>
          <react_native_paper_1.PaperProvider>
            <bottom_sheet_1.BottomSheetModalProvider>
              {children}
              <react_native_flash_message_1.default position="bottom"/>
            </bottom_sheet_1.BottomSheetModalProvider>
          </react_native_paper_1.PaperProvider>
        </api_1.APIProvider>
      </react_native_keyboard_controller_1.KeyboardProvider>
    </react_native_gesture_handler_1.GestureHandlerRootView>);
}
var styles = react_native_1.StyleSheet.create({
    container: {
        flex: 1,
    },
});
//# sourceMappingURL=_layout.js.map