import type { GetNextPageParamFunction, GetPreviousPageParamFunction } from '@tanstack/react-query';
import type { PaginateQuery } from '../types';
type KeyParams = {
    [key: string]: any;
};
export declare const DEFAULT_LIMIT = 10;
export declare function getQueryKey<T extends KeyParams>(key: string, params?: T): (string | T)[];
export declare function normalizePages<T>(pages?: PaginateQuery<T>[]): T[];
export declare function getUrlParameters(url: string | null): {
    [k: string]: string;
} | null;
export declare const getPreviousPageParam: GetNextPageParamFunction<unknown, PaginateQuery<unknown>>;
export declare const getNextPageParam: GetPreviousPageParamFunction<unknown, PaginateQuery<unknown>>;
export {};
//# sourceMappingURL=utils.d.ts.map