"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FocusAwareStatusBar = void 0;
var native_1 = require("@react-navigation/native");
var nativewind_1 = require("nativewind");
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var FocusAwareStatusBar = function (props) {
    var isFocused = (0, native_1.useIsFocused)();
    var colorScheme = (0, nativewind_1.useColorScheme)().colorScheme;
    var isDark = colorScheme === 'dark';
    var barStyle = isDark ? 'light-content' : 'dark-content';
    return isFocused ? <react_native_1.StatusBar barStyle={barStyle} {...props}/> : null;
};
exports.FocusAwareStatusBar = FocusAwareStatusBar;
//# sourceMappingURL=focus-aware-status-bar.js.map